# BOOLOR

Returns the logical OR of all boolean values in a group. Returns `true` if any value in the group is `true`; returns `false` only if every value is `false`. When no records are selected, the default value is `false` (the identity element for OR).

## Signature

> BOOLOR(colName)

## Usage Examples

```sql
select BOOLOR(hasError) AS value
from myTable
```

| value |
| ----- |
| true  |

```sql
select city, BOOLOR(hasError) AS anyErrors
from myTable
GROUP BY city
```

| city          | anyErrors |
| ------------- | --------- |
| San Francisco | true      |
| New York      | false     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pinot.apache.org/functions/aggregation/boolor.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
